Public Member Functions | Private Attributes | List of all members
libvisio::VSDGraphicObjectOutputElement Class Reference
Inheritance diagram for libvisio::VSDGraphicObjectOutputElement:

## Public Member Functions
| VSDGraphicObjectOutputElement (const librevenge::RVNGPropertyList &propList)
virtual | ~VSDGraphicObjectOutputElement ()
virtual void | draw (librevenge::RVNGDrawingInterface *painter)
virtual VSDOutputElement * | clone ()
Public Member Functions inherited from libvisio::VSDOutputElement
| VSDOutputElement ()
virtual | ~VSDOutputElement ()

## Private Attributes
librevenge::RVNGPropertyList | m_propList

## Constructor & Destructor Documentation

## § VSDGraphicObjectOutputElement()

libvisio::VSDGraphicObjectOutputElement::VSDGraphicObjectOutputElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

## § ~VSDGraphicObjectOutputElement()

virtual libvisio::VSDGraphicObjectOutputElement::~VSDGraphicObjectOutputElement | ( |  | ) |
| inline virtual

## Member Function Documentation

## § clone()

virtual VSDOutputElement* libvisio::VSDGraphicObjectOutputElement::clone | ( |  | ) |
| inline virtual

Implements libvisio::VSDOutputElement.

## § draw()

void libvisio::VSDGraphicObjectOutputElement::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) |
| virtual

Implements libvisio::VSDOutputElement.

## Member Data Documentation

## § m_propList

librevenge::RVNGPropertyList libvisio::VSDGraphicObjectOutputElement::m_propList
| private

Referenced by draw().

The documentation for this class was generated from the following file:

- VSDOutputElementList.cpp